DL_CryptoKeys_GFP Struct Reference

Discrete Log (DL) encryption/decryption keys in GF(p) groups. More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_CryptoKeys_GFP:

## Public Types

typedef DL_GroupParameters_GFP_DefaultSafePrime | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Detailed Description

Discrete Log (DL) encryption/decryption keys in GF(p) groups.

Definition at line 683 of file gfpcrypt.h.

## Member Typedef Documentation

## GroupParameters

typedef DL_GroupParameters_GFP_DefaultSafePrime DL_CryptoKeys_GFP::GroupParameters

Definition at line 685 of file gfpcrypt.h.

## PublicKey

typedef DL_PublicKey_GFP<GroupParameters> DL_CryptoKeys_GFP::PublicKey

Definition at line 686 of file gfpcrypt.h.

## PrivateKey

typedef DL_PrivateKey_GFP<GroupParameters> DL_CryptoKeys_GFP::PrivateKey

Definition at line 687 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h